# PermissionType

Namespace: **Wisej.Hybrid.Shared.Permissions**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Represents the available device permission types. Each enum member corresponds to a specific type of device permission that an application can request.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum PermissionType : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum PermissionType As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name                  | Description                                                        |
| --------------------- | ------------------------------------------------------------------ |
| **CalendarRead**      | Permission to read calendar data.                                  |
| **CalendarWrite**     | Permission to write to the calendar.                               |
| **Camera**            | Permission to use the camera.                                      |
| **ContactsRead**      | Permission to read contacts.                                       |
| **ContactsWrite**     | Permission to write to contacts.                                   |
| **Flashlight**        | Permission to use the flashlight.                                  |
| **LocationAlways**    | Permission to always access location information.                  |
| **LocationWhenInUse** | Permission to access location information while the app is in use. |
| **Media**             | Permission to access media files.                                  |
| **Microphone**        | Permission to use the microphone.                                  |
| **Phone**             | Permission to access phone features.                               |
| **Photos**            | Permission to access photos.                                       |
| **Reminders**         | Permission to access reminders.                                    |
| **Sensors**           | Permission to access device sensors.                               |
| **Sms**               | Permission to send and receive SMS.                                |
| **Speech**            | Permission to use speech recognition.                              |
| **StorageRead**       | Permission to read storage.                                        |
| **StorageWrite**      | Permission to write to storage.                                    |

## Used By

| Name                                                                                                                              | Description                                                                                                                              |
| --------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
| [DevicePermissions.Request](/hybrid/start/api/permissions/wisej.hybrid.devicepermissions.md#request-type)                         | Requests the specified permission from the user.                                                                                         |
| [DevicePermissions.Check](/hybrid/start/api/permissions/wisej.hybrid.devicepermissions.md#check-type)                             | Checks the status of the specified permission.                                                                                           |
| [DevicePermissions.ShouldShowRationale](/hybrid/start/api/permissions/wisej.hybrid.devicepermissions.md#shouldshowrationale-type) | Determines if an educational user interface should be displayed to explain how the specified permission will be used in the application. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/permissions/wisej.hybrid.shared.permissions.permissiontype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
